# Cookie Jar

**A dead simple cookie banner for Kirby CMS**

## Usage

### Basics

Cookie Jar works by placing all scripts that set cookies into their own snippets.
Those snippets are then automatically loaded by cookie jar based on whether the user has consented to the given
cookie category.

The plugin also provides global helper functions to understand what cookies that user has consented to.

### Setting up configuration and snippets

1. Move all scripts that set cookies into their own snippets. For example `snippets/tracking/analytics.php`, `snippets/tracking/telemetry.php`, ``snippets/tracking/required.php`, etc.
2. Register the cookie categories and their snippets in `config.php`. Example:

```php
'cookie-jar' => [
    'cookies' => [
        'essentials' => [
            'title' => 'Technically Necessary Cookies',
            'required' => true
        ],
        'google' => [
          'required' => false,
          'title' => "Analytics (Google Analytics)",
          'snippets' => ['tracking/google']
        ],
        'marketing' => [
            'required' => false,
            'title' => 'Marketing (Facebook Pixel)',
            'snippets' => ['tracking/facebook']
        ],
    ]
],
```

Any entry with `'required' => true` will be seen as a technically necessary cookie that will **always be loaded**.

### Displaying a cookie banner

To display a cookie banner you'll need to load the plugins JavaScript\* and insert the html for your banner.

To load the JS, simply include this snippet: `<?= snippet("cookie-jar-js") ?>`

We expect you to provide your own HTML for the cookie banner.

## Usage without JS

_Comings soon_
