<?php

use Kirby\Uuid\Uuid;

require_once "lib/Cookies.php";

Kirby::plugin("bearlydigital/cookie-jar", [
    "routes" => [
        [
            "pattern" => "cookie-jar",
            "method" => "POST",
            "action" => function () {
                switch (get("accept")) {
                    case "all":
                        Cookies::setAllCookiesAccepted();
                        break;
                    case "none":
                        Cookies::setNoCookiesAccepted();
                        break;
                    case "selection":
                    default:
                        $accepted = get("selection", []);
                        Cookies::setCookieAccepted($accepted);
                }
                return ["snippet" => Cookies::getCookieSnippets()];
            },
        ],
    ],
    "siteMethods" => [
        "cookieAccepted" => function ($key) {
            return Cookies::checkCookieAccepted($key);
        },
        "shouldShowCookieBanner" => function () {
            return !Cookie::exists("cookies_accepted");
        },
    ],
    "snippets" => [
        "cookie-jar-basic" => __DIR__ . "/snippets/cookie-jar-basic.php",
        "cookie-jar-advanced" => __DIR__ . "/snippets/cookie-jar-advanced.php",
        "cookie-jar-js" => __DIR__ . "/snippets/cookie-jar-js.php",
    ],
]);
